#ifndef _LORA_NET_H_
#define _LORA_NET_H_

#include <Arduino.h>

#ifdef LORA_FEATURE_ENABLED
#include <LoRa_E220.h>
#elif defined(FEATURE_ENABLE_UARTLORA)
#include <SoftwareSerial.h>
#endif

// local includes
#include "lora_messages.h"
#include "debugger.h"
#include "defaults.h"
#include "config.h"
#include "globals.h"
#include "dtc.h"
#include "common.h"

#define FREQUENCY_868

bool InitLoRa(void (*MPinHelper)(int, int));
void LoRa_Process();
void sendStatus_LoRa();

#endif